summaryrefslogtreecommitdiff
path: root/dev-embedded
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-18 03:04:45 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-18 03:04:45 -0500
commit08bfa3f8ec685ab603d0c1995d79d00a1a0fbe1a (patch)
tree1b4baa71dceb3809c3f4373acb9d1b4cc906dae2 /dev-embedded
parentc15a01fb364f840a250479998f64702430097a88 (diff)
downloadbaldeagleos-repo-08bfa3f8ec685ab603d0c1995d79d00a1a0fbe1a.tar.gz
baldeagleos-repo-08bfa3f8ec685ab603d0c1995d79d00a1a0fbe1a.tar.xz
baldeagleos-repo-08bfa3f8ec685ab603d0c1995d79d00a1a0fbe1a.zip
Adding metadata
Diffstat (limited to 'dev-embedded')
-rw-r--r--dev-embedded/avrdude/Manifest1
-rw-r--r--dev-embedded/avrdude/avrdude-8.2.ebuild82
-rw-r--r--dev-embedded/avrdude/files/no-automatic-libgpiod.patch13
-rw-r--r--dev-embedded/avrdude/metadata.xml2
4 files changed, 98 insertions, 0 deletions
diff --git a/dev-embedded/avrdude/Manifest b/dev-embedded/avrdude/Manifest
index ab5c66389600..cc40a004ae7d 100644
--- a/dev-embedded/avrdude/Manifest
+++ b/dev-embedded/avrdude/Manifest
@@ -1 +1,2 @@
DIST avrdude-7.2.tar.gz 2622520 BLAKE2B 7bf86ea802bb150415a0d8c1ba884d5ff84b3d4bfb0e77470205d578001c1c19f782ddd37ae4235fba9f2ccc05247aea1723ebc2e1c71174c23b0986e835231e SHA512 04d04492458bc1d183ad8ff403cf3d38f65f44bb992df589e8f49d28b5347eb63433568c95f5d575ae651be70d725d3f178175cd1fe6dcd46ec013c3fe3f2ab0
+DIST avrdude-8.2.tar.gz 6528933 BLAKE2B e5f021047b4a798c4bae7470602ef93e2489d39c97fd96e0f75999d607b910fb8889c7216110dad5d2d925a2d136d6b03c6ec21cd3a412712efff8db03818cad SHA512 67c187b5f0520ebbdcebec09d15ff6a08fb58ce31ca817c05c9b5c76a2b2f83d6d127a616a19c0c661286ce36cbd012ef3f155498ed29fb9c05e0af17b81b517
diff --git a/dev-embedded/avrdude/avrdude-8.2.ebuild b/dev-embedded/avrdude/avrdude-8.2.ebuild
new file mode 100644
index 000000000000..fb4eb2022c7e
--- /dev/null
+++ b/dev-embedded/avrdude/avrdude-8.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+inherit cmake python-single-r1
+
+DESCRIPTION="AVR Downloader/UploaDEr"
+HOMEPAGE="https://avrdudes.github.io/avrdude https://github.com/avrdudes/avrdude"
+SRC_URI="https://github.com/avrdudes/avrdude/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0/4" # SOVERSION in src/CMakeLists.txt
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="ftdi gpiod python readline"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ dev-libs/hidapi
+ virtual/libelf:=
+ virtual/libusb:0
+ virtual/libusb:1
+ ftdi? ( dev-embedded/libftdi:1 )
+ !ppc? ( !ppc64? (
+ gpiod? ( dev-libs/libgpiod:= )
+ dev-libs/libserialport
+ ) )
+ python? ( ${PYTHON_DEPS} )
+ readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ app-alternatives/yacc
+ app-alternatives/lex
+ virtual/pkgconfig
+ python? ( >=dev-lang/swig-4.0 )
+"
+
+PATCHES=( "${FILESDIR}/no-automatic-libgpiod.patch" )
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+
+ # For some reason 'TYPE SYSCONF' and 'CMAKE_INSTALL_SYSCONFDIR'
+ # prepends '/usr' so the config ends up getting installed as
+ # '/usr/etc/avrdude.conf' which is not correct.
+ sed -i 's@TYPE SYSCONF@DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}@' \
+ src/CMakeLists.txt || die
+}
+
+src_configure() {
+ # Optional libraries like libftdi aren't gated behind options and
+ # find_package calls, but find_library is called directly
+ # instead.
+ #
+ # Set the cache variable to an empty string if we do not want a
+ # library to be automatically detected.
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=ON
+ -DCMAKE_DISABLE_FIND_PACKAGE_Git=TRUE
+ -DDEBUG_CMAKE=ON
+ -DFORCE_DISABLE_PYTHON_SUPPORT=$(usex python FALSE TRUE)
+ -DHAVE_LIBFTDI=''
+ -DHAVE_LIBGPIOD=$(usex gpiod)
+ -DHAVE_LINUXGPIO=ON # Seems like there is no reason to have this off.
+ -DHAVE_LINUXSPI=ON # Ditto.
+ -DHAVE_PARPORT=ON
+ )
+ use ftdi || mycmakeargs+=( -DHAVE_LIBFTDI1='' )
+ use readline || mycmakeargs+=( -DHAVE_LIBREADLINE='' )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ use python && python_optimize
+}
diff --git a/dev-embedded/avrdude/files/no-automatic-libgpiod.patch b/dev-embedded/avrdude/files/no-automatic-libgpiod.patch
new file mode 100644
index 000000000000..2f6e4d9b13b8
--- /dev/null
+++ b/dev-embedded/avrdude/files/no-automatic-libgpiod.patch
@@ -0,0 +1,13 @@
+# Patch created by Quincy Fleming
+# This helps to be able to control wether or not to find and build with libgpiod
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -236,7 +236,7 @@
+
+ # -------------------------------------
+ # Find libgpiod using pkg-config, if needed
+-if(HAVE_LINUXGPIO)
++if(HAVE_LINUXGPIO AND HAVE_LIBGPIOD)
+ # defaults/fallbacks
+ set(HAVE_LIBGPIOD 0)
+ set(HAVE_LIBGPIOD_V2 0)
diff --git a/dev-embedded/avrdude/metadata.xml b/dev-embedded/avrdude/metadata.xml
index 63697dd0c7df..adde6cf38829 100644
--- a/dev-embedded/avrdude/metadata.xml
+++ b/dev-embedded/avrdude/metadata.xml
@@ -8,6 +8,8 @@
<use>
<flag name="ftdi">Enable support for USB FTDI chips via <pkg>dev-embedded/libftdi</pkg>
</flag>
+ <flag name="gpiod">Build with libgpiod support via <pkg>dev-libs/libgpiod</pkg>
+ </flag>
</use>
<slots>
<subslots>reflect soname of libavrdude</subslots>